org.apache.lucene.analysis.commongrams

## Class CommonGramsQueryFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory
      - - org.apache.lucene.analysis.commongrams.CommonGramsQueryFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class CommonGramsQueryFilterFactory
      extends CommonGramsFilterFactory

  Construct `CommonGramsQueryFilter`.

       <fieldType name="text_cmmngrmsqry" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.CommonGramsQueryFilterFactory" words="commongramsquerystopwords.txt" ignoreCase="false"/>
         </analyzer>
       </fieldType>

  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonGramsQueryFilterFactory(Map<String,String> args)` Creates a new CommonGramsQueryFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenFilter` | `create(TokenStream input)` Create a CommonGramsFilter and wrap it with a CommonGramsQueryFilter

    - ### Methods inherited from class org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory

      `getCommonWords, inform, isIgnoreCase`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonGramsQueryFilterFactory

          public CommonGramsQueryFilterFactory(Map<String,String> args)

      Creates a new CommonGramsQueryFilterFactory

  - ### Method Detail

    - #### create

          public TokenFilter create(TokenStream input)

      Create a CommonGramsFilter and wrap it with a CommonGramsQueryFilter
      Overrides:
        `create` in class `CommonGramsFilterFactory`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.